DELETE
/api/v1/resources/{ResourceId}/labels
http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/labelsDeletes the specified list of labels from a resource.
Access Token Required: API Key
Path Parameters
ResourceIdstringrequired
The ID of the resource.
Query Params
labelsarray
List of labels to delete from the resource.
deleteAllboolean
Flag to request removal of all labels from the specified resource.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request DELETE \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/labels' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}